// The contents of this file are subject to the Mozilla Public License Version
// 1.1
//(the "License"); you may not use this file except in compliance with the
//License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
//Software distributed under the License is distributed on an "AS IS" basis,
//WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
//for the specific language governing rights and
//limitations under the License.
//
//The Original Code is "The Columba Project"
//
//The Initial Developers of the Original Code are Frederik Dietz and Timo
// Stich.
//Portions created by Frederik Dietz and Timo Stich are Copyright (C) 2003.
//
//All Rights Reserved.
package org.columba.addressbook.model;
import java.util.Iterator;
import java.util.List;

/**
 * @author fdietz
 *
 */
public interface IHeaderItemList {
	public abstract void replace(int index, IHeaderItem item);

	public abstract void add(IHeaderItem item);

	public abstract IHeaderItem get(int index);

	public abstract void remove(int index);

	public abstract void remove(IHeaderItem item);

	public abstract int indexOf(IHeaderItem item);

	public abstract int count();

	public abstract void clear();

	public abstract Object[] toArray();

	public abstract List getList();

	public abstract Iterator iterator();
}