// The contents of this file are subject to the Mozilla Public License Version
// 1.1
//(the "License"); you may not use this file except in compliance with the
//License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
//Software distributed under the License is distributed on an "AS IS" basis,
//WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
//for the specific language governing rights and
//limitations under the License.
//
//The Original Code is "The Columba Project"
//
//The Initial Developers of the Original Code are Frederik Dietz and Timo
// Stich.
//Portions created by Frederik Dietz and Timo Stich are Copyright (C) 2003.
//
//All Rights Reserved.
package org.columba.addressbook.model;

/**
 * @author fdietz
 *  
 */
public class HeaderItem implements IHeaderItem {

	private String displayName;

	private boolean contact;

	private String header;

	/**
	 * Default constructor
	 *  
	 */
	public HeaderItem() {
		contact = true;
	}

	/**
	 * @return Returns the contact.
	 */
	public boolean isContact() {
		return contact;
	}

	/**
	 * @param contact
	 *            The contact to set.
	 */
	public void setContact(boolean contact) {
		this.contact = contact;
	}

	/**
	 * @return Returns the displayName.
	 */
	public String getDisplayName() {
		return displayName;
	}

	/**
	 * @param displayName
	 *            The displayName to set.
	 */
	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	/**
	 * @return Returns the header.
	 */
	public String getHeader() {
		return header;
	}

	/**
	 * @param header
	 *            The header to set.
	 */
	public void setHeader(String header) {
		this.header = header;
	}

	/**
	 * @see java.lang.Object#clone()
	 */
	public Object clone() {
		HeaderItem item = new HeaderItem();
		item.setDisplayName(getDisplayName());
		item.setHeader(getHeader());

		return item;
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return displayName;
	}
}