//The contents of this file are subject to the Mozilla Public License Version 1.1
//(the "License"); you may not use this file except in compliance with the 
//License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
//Software distributed under the License is distributed on an "AS IS" basis,
//WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
//for the specific language governing rights and
//limitations under the License.
//
//The Original Code is "The Columba Project"
//
//The Initial Developers of the Original Code are Frederik Dietz and Timo Stich.
//Portions created by Frederik Dietz and Timo Stich are Copyright (C) 2003. 
//
//All Rights Reserved.
package org.columba.core.gui.action;

import java.awt.event.ActionEvent;

import org.columba.core.action.AbstractColumbaAction;
import org.columba.core.gui.config.GeneralOptionsDialog;
import org.columba.core.gui.frame.FrameMediator;
import org.columba.core.gui.util.ImageLoader;
import org.columba.core.util.GlobalResourceLoader;


public class GlobalOptionsAction extends AbstractColumbaAction {
    public GlobalOptionsAction(FrameMediator controller) {
        super(controller,
            GlobalResourceLoader.getString("global", "global",
                "menu_edit_generaloptions"));

        putValue(SHORT_DESCRIPTION,
            GlobalResourceLoader.getString("global", "global",
                "menu_edit_generaloptions_tooltip").replaceAll("&", ""));

        putValue(SMALL_ICON,
            ImageLoader.getSmallImageIcon("stock_preferences-16.png"));

        putValue(LARGE_ICON, ImageLoader.getImageIcon("stock_preferences.png"));
    }

    /* (non-Javadoc)
     * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
     */
    public void actionPerformed(ActionEvent evt) {
        GeneralOptionsDialog dialog = new GeneralOptionsDialog(frameMediator.getView().getFrame());

        /*
        ThemeSwitcher.updateFrame(frameMediator.getFrame());
        */
    }
}
