// The contents of this file are subject to the Mozilla Public License Version
// 1.1
//(the "License"); you may not use this file except in compliance with the
//License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
//Software distributed under the License is distributed on an "AS IS" basis,
//WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
//for the specific language governing rights and
//limitations under the License.
//
//The Original Code is "The Columba Project"
//
//The Initial Developers of the Original Code are Frederik Dietz and Timo
// Stich.
//Portions created by Frederik Dietz and Timo Stich are Copyright (C) 2003.
//
//All Rights Reserved.
package org.columba.core.xml;

import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;

import org.jdom.Document;
import org.jdom.JDOMException;
import org.jdom.input.SAXBuilder;
import org.jdom.output.XMLOutputter;

/**
 * @author fdietz
 *  
 */
public class XmlNewIO {

	public static Document load(File file) {
		SAXBuilder builder = new SAXBuilder();
		//builder.setValidation(true);
		builder.setIgnoringElementContentWhitespace(true);
		Document doc;
		try {
			doc = builder.build(file);
			return doc;
		} catch (JDOMException e) {

			e.printStackTrace();
		} catch (IOException e) {

			e.printStackTrace();
		}

		return null;
	}

	public static void save(Document doc, File file) throws Exception {
		XMLOutputter outp = new XMLOutputter();

		outp.output(doc, new FileOutputStream(file));
	}
}