// The contents of this file are subject to the Mozilla Public License Version
// 1.1
//(the "License"); you may not use this file except in compliance with the
//License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
//Software distributed under the License is distributed on an "AS IS" basis,
//WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
//for the specific language governing rights and
//limitations under the License.
//
//The Original Code is "The Columba Project"
//
//The Initial Developers of the Original Code are Frederik Dietz and Timo
// Stich.
//Portions created by Frederik Dietz and Timo Stich are Copyright (C) 2003.
//
//All Rights Reserved.
package org.columba.core.plugin;

import java.io.File;

import junit.framework.TestCase;

import org.columba.core.config.Config;
import org.columba.core.io.DiskIO;

/**
 * @author fdietz
 *  
 */
public class PluginManagerTest extends TestCase {

	private File file;

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		//      create config-folder
		file = new File("test_config");
		file.mkdir();

		// initialize configuration - core
		new Config(file);
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		// remove configuration directory
		DiskIO.deleteDirectory(file);
	}

	public void test() {
		PluginManager manager = PluginManager.getInstance();
		manager.initPlugins();
	}

}