// The contents of this file are subject to the Mozilla Public License Version
// 1.1
//(the "License"); you may not use this file except in compliance with the
//License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
//Software distributed under the License is distributed on an "AS IS" basis,
//WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
//for the specific language governing rights and
//limitations under the License.
//
//The Original Code is "The Columba Project"
//
//The Initial Developers of the Original Code are Frederik Dietz and Timo
// Stich.
//Portions created by Frederik Dietz and Timo Stich are Copyright (C) 2003.
//
//All Rights Reserved.
package org.columba.mail.gui.message;

import java.util.Observer;

import javax.swing.JTextPane;

import org.columba.mail.folder.IMailbox;

/**
 * @author fdietz
 *
 */
public interface IMessageController {
	

	/**
	 * Show message in messages viewer.
	 * <p>
	 * Should be called in Command.execute() or in another background
	 * thread.
	 * 
	 * @param folder		selected folder
	 * @param uid			selected message UID
	 * @throws Exception
	 */
	void showMessage(IMailbox folder, Object uid) throws Exception;

	/**
	 * Revalidate message viewer components. 
	 * <p>
	 * Call this method after showMessage() to force a repaint():
	 *
	 */
	void updateGUI() throws Exception;
	
	void clear();
	
	//IMailFolderCommandReference filterMessage(IMailbox folder, Object uid) throws Exception;
	
	void addURLObserver(Observer observer);
	
	void addMouseListener(JTextPane textPane);
}