//The contents of this file are subject to the Mozilla Public License Version 1.1
//(the "License"); you may not use this file except in compliance with the 
//License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
//
//Software distributed under the License is distributed on an "AS IS" basis,
//WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License 
//for the specific language governing rights and
//limitations under the License.
//
//The Original Code is "The Columba Project"
//
//The Initial Developers of the Original Code are Frederik Dietz and Timo Stich.
//Portions created by Frederik Dietz and Timo Stich are Copyright (C) 2003. 
//
//All Rights Reserved.
package org.columba.mail.config;

import org.columba.core.config.DefaultItem;
import org.columba.core.xml.XmlElement;


public class SecurityItem extends DefaultItem {
    private String passphrase = "";
    private String digestAlgorithm;
	public static final String ALWAYS_ENCRYPT = "always_encrypt";
	public static final String ALWAYS_SIGN = "always_sign";
	public static final String ENABLED = "enabled";
	public static final String PATH = "path";
	public static final String ID = "id";

    public SecurityItem(XmlElement e) {
        super(e);

        passphrase = "";
    }

    public String getPassphrase() {
        return passphrase;
    }

    public void clearPassphrase() {
        passphrase = "";
    }

    public void setPassphrase(String s) {
        passphrase = s;
    }

    /**
 * @return
 */
    public String getDigestAlgorithm() {
        return digestAlgorithm;
    }

    /**
 * @param digestAlgorithm
 */
    public void setDigestAlgorithm(String digestAlgorithm) {
        this.digestAlgorithm = digestAlgorithm;
    }
}
